function [Nyarray, Nybscorr, Ntaxis, Nbaselinearray, Nsigmax, Nchannelmap, Nstripnummap, Nmaxstrip, Nmaxchannel, Nmetadata, Nmetadescription, atimes, allatimes, risetimes, FWHMs] = L2Analysis(fname,mblname,ltc,htc)

load(fname);
load(mblname)

% look for peak values only within the timing window
tint=taxis(2)-taxis(1);
t0=taxis(1);
tbl=(ltc-t0)/tint;   
tbh=(htc-t0)/tint; 
itbl=cast(tbl,'int32');
itbh=cast(tbh,'int32');

[a b c] = size(yarray);

%must have waves
if(b>10)
    [dummy,nchannels] = size(channelmap);
    for nch=1:nchannels
        [msize1,msize2] = size(squeeze(yarray(nch,:,itbl:itbh)));

        for nevt=1:msize1
            wmax(nevt) = max(squeeze(yarray(nch,nevt,itbl:itbh)));
        end
        Nsigmax(nch,:) = wmax(:);
    end

    [a b c] = size(yarray);

    for nf=1:b
        [at,fwhm,rt,aindex]=findCFThreshold(squeeze(yarray(1,nf,:)),taxis,0.2,Nsigmax(1,nf),itbl,itbh,0.02);
        atimes(nf)=at;
        FWHMs(nf)=fwhm;
        risetimes(nf)=rt;
    end

    allatimes=atimes;

    goodats = (atimes>ltc).*(atimes<htc);
    goodmax = (maxstrip==2);
    passarray = goodats.*(goodmax');

    Nyarray=yarray(:,logical(passarray),:);
    Ntaxis = taxis;
    Nbaselinearray=baselinearray(:,:,logical(passarray));
    Nsigmax=sigmax(:,logical(passarray));
    Nchannelmap=channelmap;
    Nstripnummap=stripnummap;
    Nmaxstrip=maxstrip(logical(passarray));
    Nmaxchannel=maxchannel(logical(passarray));
    atimes=atimes(logical(passarray));
    risetimes=risetimes(logical(passarray));
    FWHMs=FWHMs(logical(passarray));
    Nmetadata=metadata;
    Nmetadescription=metadescription;

    [a b c] = size(Nyarray);
    Nybscorr=zeros(a,b,c);

    for nf=1:b
        my1=squeeze(Nyarray(1,nf,:));
        my2=squeeze(Nyarray(2,nf,:));
        my3=squeeze(Nyarray(2,nf,:));

        constbl=Nbaselinearray(1,1,nf);

        my1 = my1 - constbl;
        my1 = my1 - meanbaseline;

        Nybscorr(1,nf,:)=my1;
        Nybscorr(2,nf,:)=my2;
        Nybscorr(3,nf,:)=my3;
    end
else
   
    Nyarray=yarray;
    Nybscorr=yarray;
    Ntaxis = taxis;
    Nbaselinearray=baselinearray;
    Nsigmax=sigmax;
    Nchannelmap=channelmap;
    Nstripnummap=stripnummap;
    Nmaxstrip=maxstrip;
    Nmaxchannel=maxchannel;
    atimes=0;
    allatimes=0;
    risetimes=0;
    FWHMs=0;
    Nmetadata=metadata;
    Nmetadescription=metadescription;
    
    bob='no waveforms passed L1'
end

end
