function [yarray, taxis, baselinearray, sigmax, channelmap, stripnummap, maxstrip, maxchannel, metadata, metadescription, metakey] = wfmsets2rawmatsets(thecase,Nframes,Nfiles)

[testarray, taxis, channelmap, stripnummap, metadata, metadescription, metakey, outname] = readsingleset(thecase,1,Nframes);
[dummy,nchannels] = size(channelmap);
[size1,size2,size3]=size(testarray);

yarray = zeros(size1,(Nfiles*Nframes),size3);
sigmax = zeros(nchannels,(Nfiles*Nframes));
maxstrip = zeros((Nfiles*Nframes),1);
maxchannel = zeros((Nfiles*Nframes),1);
baselinearray = zeros(nchannels,2,(Nfiles*Nframes));

nchannels

for nf=1:Nfiles

    [singlearray, taxis, channelmap, stripnummap, metadata, metadescription, metakey, outname] = readsingleset(thecase,nf,Nframes);

    fnumbertag = int2str(nf);
    
    for nch=1:nchannels
         yarray(nch,(((nf-1)*Nframes)+1):((nf*Nframes)),:) = -singlearray(nch,:,:);
    end
    
    nf

end

txt='calculating baselines and signal maxes'

for nch=1:nchannels
    [bl,blsig,wmax] = baselinecalc(squeeze(yarray(nch,:,:)),100);
    baselinearray(nch,1,:) = bl(:);
    baselinearray(nch,2,:) = blsig(:);
    sigmax(nch,:) = wmax(:);       
end

txt = 'finding max stripline'
 
  for nch=1:nchannels
      whichmax = ones(1,Nfiles*Nframes);
      for mch=1:nchannels
           if(nch~=mch) 
               whichmax = whichmax.*(sigmax(nch,:)>sigmax(mch,:));
           end
      end
  
      maxchannel = maxchannel + nch*(whichmax');   
      maxstrip = maxstrip + (stripnummap(nch))*(whichmax');
  end


%matfilename = [ pname filenamebase '.mat']
clear nf fnumbertag size1 size2 size3 dummy testarray singlearray pname fnamebase namecase Nframes Nfiles filenamebase nch txt whichmax;
outname
save(outname);


end